# Maintainer: Azkali Manad <a.ffcc7@gmail.com>

pkgname=box64
pkgver=0.1.3
pkgrel=1.0
pkgdesc='Linux Userspace x86_64 Emulator with a twist'
arch=('aarch64')
url='https://github.com/ptitSeb/box64'
license=('GPL3')
makedepends=('cmake' 'make' 'git' 'python')
provides=("${pkgname%}")
conflicts=("${pkgname%}")
source=('git+https://github.com/ptitSeb/box64.git')
md5sums=('SKIP')
install=box64.install

build() {
	cd "$srcdir/box64"

	cmake . \
		-DTEGRAX1=1 \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_INSTALL_PREFIX:PATH=/usr

	make -j$(nproc)
}

package() {
	cd "$srcdir/box64"
	make DESTDIR="$pkgdir/" install
}

